import { User } from '../types/auth';
import { Category, City } from '../types';

const categories: Category[] = ['Film', 'Theater', 'Music', 'Sports', 'Art', 'Legends', 'Anniversaries', 'Memory'];
const cities: City[] = ['New York', 'London'];

export const mockUsers: User[] = [
  {
    id: '1',
    email: 'admin@culturescope.com',
    displayName: 'Admin User',
    permissions: {
      categories: categories.reduce((acc, category) => ({
        ...acc,
        [category]: { create: true, edit: true, delete: true }
      }), {}),
      cities: cities,
      isAdmin: true
    }
  },
  {
    id: '2',
    email: 'editor@culturescope.com',
    displayName: 'Content Editor',
    permissions: {
      categories: {
        'Art': { create: true, edit: true, delete: false },
        'Music': { create: true, edit: true, delete: false },
        'Film': { create: true, edit: true, delete: false }
      },
      cities: ['New York'],
      isAdmin: false
    }
  },
  {
    id: '3',
    email: 'writer@culturescope.com',
    displayName: 'Staff Writer',
    permissions: {
      categories: {
        'Theater': { create: true, edit: false, delete: false },
        'Sports': { create: true, edit: false, delete: false }
      },
      cities: ['London'],
      isAdmin: false
    }
  }
];